Not signed in (Sign In)

Vanilla 1.1.4 is a product of Lussumo. More Information: Documentation, Community Support.

    • CommentAuthorrscattone
    • CommentTimeJan 18th 2017
     
    Trying to build this klayout-0.24-python-eval on CentOS 6.5 and have the following error:

    gmake[1]: Entering directory `/root/tmp/klayout-0.24-python-eval/build.linux-64-gcc-release/main'
    gcc -I/root/tmp/klayout-0.24-python-eval/src -I/root/tmp/klayout-0.24-python-eval/src -I. -I/usr/local/Trolltech/Qt-4.5.2//include -I/usr/local/include/python2.7 -I/usr/local/rvm/rubies/ruby-1.9.3-p551/include/ruby-1.9.1 -I/usr/local/rvm/rubies/ruby-1.9.3-p551/include/ruby-1.9.1/x86_64-linux -Wall -pedantic -Wno-deprecated -Woverloaded-virtual -Wsign-promo -Wsynth -Wno-long-long -Wno-strict-aliasing -DQT_THREAD_SUPPORT -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DHAVE_PYTHON -DHAVE_PYTHON_VERSION_CODE= -DHAVE_RUBY -DHAVE_RUBY_VERSION_CODE=10901 -fPIC -c -O3 -m64 -o gsiClassBase.o /root/tmp/klayout-0.24-python-eval/src/gsiClassBase.cc
    /root/tmp/klayout-0.24-python-eval/src/gsiClassBase.cc: In member function 'void gsi::ClassBase::cleanup_method_table()':
    /root/tmp/klayout-0.24-python-eval/src/gsiClassBase.cc:383: error: 'sort' is not a member of 'std'
    /root/tmp/klayout-0.24-python-eval/src/gsiClassBase.cc:384: error: 'unique' is not a member of 'std'
    gmake[1]: *** [gsiClassBase.o] Error 1
    gmake[1]: Leaving directory `/root/tmp/klayout-0.24-python-eval/build.linux-64-gcc-release/main'
    gmake: *** [all] Error 1 \

    This is the options for the build script:
    ./build.sh -qt /usr/local/Trolltech/Qt-4.5.2/ -python python2.7

    Or if anyone has clues to help me in the right direction for this build.
    • CommentAuthorMatthias
    • CommentTimeJan 18th 2017 edited
     

    Hi,

    klayout-0.24-python-eval is outdated - it was provided before 0.24 was released initially. And your gcc installation looks pretty broken. It does not find the STL which is essential. Maybe C++ support is missing at all.

    Have you tried simply installing the RPM from here: http://www.klayout.org/downloads/CentOS_6/klayout-0.24.9-1.1.x86_64.rpm?

    If you still want to build it yourself: here is the list of packages I need to build on CentOS6: gcc gcc-c++ make qt qt-devel ruby ruby-devel python and python-devel.

    Matthias

    • CommentAuthorrscattone
    • CommentTimeJan 31st 2017
     
    Thanks Matthias,
    The RPM installed fine. I thought the klayout-0.24-python-eval was different than the RPM, since engineer that requested it listed both. Thanks for the info